package com.gingersoft.gsa.cloud.pay.pos;

import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.AdjustTipRespose;
import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.RefundRespose;
import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.RetrievalRespose;
import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.SaleRespose;
import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.SettlementRespose;
import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.VoidRespose;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019-11-01
 * 修订历史：2019-11-01
 * 描述：
 */
public interface IPosCallback {

    void onSaleCall(SaleRespose response);

    void onVoidCall(VoidRespose response);

    void onRefundCall(RefundRespose response);

    void onRetrievalCall(RetrievalRespose response);

    void onAdjustCall(AdjustTipRespose response);

    void onSettleCall(SettlementRespose response);

    void onPrinterCall(String response);
}
